[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ScreenToControl

Converts absolute screen coordinates to control-relative coordinates.

## Declaration

Source position: controls.pp line 1736

`public function TControl.ScreenToControl(`
`const APoint: TPoint`
`):TPoint;`

## Arguments

`APoint` |  | Screen coordinates converted to client coordinates in the method.

## Function result

TPoint instance with the client coordinates relative to its Parent control.

## See also

TControl.ControlOrigin |  | The top, left pixel for the control in screen coordinates.
TControl.ControlToScreen |  | Converts control-relative coordinates to absolute screen coordinates.
TControl.ScreenToClient |  | Converts absolute screen coordinates into client-relative coordinates.
TControl.ClientToScreen |  | Converts client-relative coordinates to absolute screen coordinates.